# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url
from django.http import HttpResponse

from authentic2.decorators import DjangoCache, SessionCache


@DjangoCache
def cached_function():
    import random

    return random.random()


def cached_view(self):
    return HttpResponse('%s' % cached_function())


@SessionCache()
def session_cache_function():
    import random

    return random.random()


def session_cache(request):
    value = session_cache_function()
    return HttpResponse('%s' % value)


urlpatterns = [url(r'^django_cache/$', cached_view), url(r'^session_cache/$', session_cache)]
